Ubuntu14安装rt-thread开发环境

首先,去官网的链接下载 rt-thread,我下载的是最新版v2.0.0RC。

下载完之后,我们就开始来搭建开发环境。

首先,下载交叉编译工具链https://sourcery.mentor.com/GNUToolchain/release1592?,选择IA32 GNU/Linux TAR

下载完之后解压它到/opt文件夹下

$ sudo tar xjf arm-2010.09-51-arm-none-eabi-i686-pc-linux-gnu.tar.bz2 -C /opt

解压完毕会在/opt目录下发现一个”arm-2010.09”目录;然后就是设置系统PATH,用编辑器(vi/gedit)打开你家目录下的.bashrc(~/.bashrc),在其最后添加如下两行:

PATH=$PATH:/opt/arm-2010.09/bin
export PATH

保持退出后再执行:

source ~/.bashrc

然后在终端上输入”arm”,按Tab键补全,是不是出现了一堆arm-none-eabi-*命令。

接下来,我们开始编译rt-thread源代码,这里我编译的是mini2440的。

进入到源码目录下的/bsp/mini2440目录下,首先修改一下rtconfig.py文件,修改如下

CROSS_TOOL      = ‘gcc‘

if  CROSS_TOOL == ‘gcc‘:
        PLATFORM        = ‘gcc‘
        EXEC_PATH       = ‘/opt/arm-2010.09/bin‘

然后执行编译命令:

$ scons

这样子开发环境就算搭建好了,下一篇文章我会讲一下如何在ubuntu下用qemu模拟mini2440平台运行rt-thread

时间: 02-12

Ubuntu14安装rt-thread开发环境的相关文章

火狐开发----安装和配置开发环境

先决条件 请不要把任何相关的开发工具和扩展程序,放到有空格的目录(如Progaram Files\Python),会导致意想不到的错误,无法进行后续操作. 开发 Add-on SDK,你需要: Python 2.5,2.6 或 2.7. 需要注意的是在任何平台都是不支持 Python3.x版本的 .确保你已经安装过Python. Firefox火狐浏览器(本教程针对最新的浏览器). SDK本身:可以获取SDK的最新稳定版本为 tarball压缩包 或 zip 文件. 另外,你可以从它的GitHu

Windows7下WordPress本地安装与网络开发环境的搭建

一.打开http://www.wampserver.com/en下载windows网络开发环境包,搭建开发环境. 二.打开http://cn.wordpress.org下载wordpress最新安装包,并解压到x:\wamp\www目录下. 三.用文本编辑器打开x:\wamp\www\wordpress\wp-config-sample.php配置下列三项: 1. /** WordPress数据库的名称 */                  define(‘DB_NAME’, ‘wordpre

怎样在Win7 64位旗舰版安装Python+Eclipse开发环境

原地址:http://www.cnblogs.com/balian/archive/2011/06/19/2084632.html 自从上周抛弃了WinXP转而安装了Win7,64位后,尝试安装Python+Eclipse遇到了一点小问题.现在已经解决,将安装顺序记录如下,供参考. Setp1,到ORACLE网站下载64位的JDK.http://www.oracle.com/technetwork/java/javase/downloads/index.html下载JDK,我下载的是jdk-6u

安装Go语言开发环境

安装Go语言开发环境实例代码 - 详述Go语言安装所在需要的工作:安装C语言工具,安装Mercurial,更新go到新版本等操作实例. 安装go环境 1.简介 Go是一个开源项目,采用BSD授权协议. 该文档介绍如何获取Go源代码,如何编译,以及如何运行Go程序. 目前有两种方式使用Go语言.这里主要讲述如何使用Go专用的gc系列工具 (6g.8g等).另一个可选的编译器是 基于gcc后端的 gccgo编译器.关于gccgo的细节清参考安装并使用gccgo编译器 . Go编译器可以支持三种指令集

【ruby】【linux】【irb】CentOS上安装配置ruby开发环境,安装 irb

在读<理解Unix进程>这本书,书中代码是用Ruby写的,就自己想实践一下,搜来搜去要安装配置Ruby,我是centOS6.5的系统.下面这篇不错,我又加入了一点自己的理解和试验. 1 方法一:下载ruby的安装包来进行安装 1.安装编译环境gcc 使用yum install gcc在线安装 2.安装ruby开发环境 PS:经常在搜帖子的时候,大神的文章中都是随随便便下载个什么啊,又没告诉我这样的菜鸟到哪里下,让人几番周折,这里 下载 Ruby - Ruby 官方网站:https://www.

安装配置PhoneGap开发环境(二)——使用Cordova代替PhoneGap创建项目

1 Cordova是谁 PhoneGap的官方文档说的很清楚.Cordova是PhoneGap的引擎,这两者的关系类似于WebKit与Chrome浏览器的关系.所以一些核心的基础操作对于Cordova与PhoneGap是相通的.有时候使用PhoneGap创建工程的会出现一些莫名的问题,推荐使用Cordova创建. 2 下载PhoneGap与Cordova 略.见<安装配置PhoneGap开发环境(一)>. 3 使用Cordova创建PhoneGap项目 查看当前平台的Cordova版本: co

Linux平台下Python的安装及IDE开发环境搭建

Linux平台下Python的安装及IDE开发环境搭建 1.Python安装 Python有2.X和3.X两个版本,由于2.X的版本较稳定,使用者也较多,本文选择使用Python 2.X版本. 安装步骤: (1) 下载Python安装包:https://www.python.org/downloads/ (2)  解压安装包:tar zxvf Python-2.7.10.tgz (3)  编译:./compile (4)  安装:make && make install 说明: ① 这样p

Ubuntu下安装C/C++开发环境【!!!有更新!!!Ubuntu14.10下使用eclipse搭建C语言开发环境】

(1)第一步安装Eclipse,有两种方法.使用软件市场搜索就可以得到,安装就可以 另外一种是使用终端安装.命令例如以下: sudo su进入root模式 输入password 然后 输入:sudo apt-get install eclipse 開始安装! 至此已经全然安装eclipse 上图一张 (2)再安装CDT插件,方法例如以下: 1.启动eclipse, 2.选择Help->Install New Software....在Work with的框框下复制以下的地址:  http://d

ubuntu14.04下Qt开发环境搭建遇到的问题

在ubuntu14下安装了Qt的安装包:qt-opensource-linux-x86-5.5.1.run 以为 装完安装包后就能直接用了,结果总提示qmake未配置之类的错误,导致编译不了. 后来网上查查,发现还需要安装其它的一些开发环境: sudo apt-get install build-essential sudo apt-get install libgl1-mesa-dev 执行命令 没有下载, 由于更改了/etc/apt/sources.list,有些源不好使,后来又找源才成功安

【从零学习Python】Ubuntu14.10下Python开发环境配置

1. 前言 近期在研究计算机视觉的一些算法,也刚開始接触linux,试着在ubuntu下用qt+openCV进行开发,感觉还行.可是Python作为在学术领域广为应用的高级解释性语言.其在计算机视觉的领域也应用得很广泛.于是我就买了一本<python计算机视觉>的书,打算从零開始自学python,而且先主要尝试用python进行cv方面的开发. 2. 开发环境 我如今使用的是眼下最新的64位的Ubuntu14.10系统,不同的版本号配置方法上可能会有些许的差异 首先当然是先安装python包,